[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH 0/3] ui: remove deprecated UI frontends



On Wed, Aug 08, 2018 at 11:49:27AM +0100, Daniel P. Berrangé wrote:
> We deprecated GTK2 and SDL1.2 in the 2.12.0 release, so they are able to
> be removed entirely in the 3.1.0 release. The min GTK3 version can also
> be bumped up based the distros we aim to support.

Yes for gtk2, finally the #ifdef mess is gone, yay!

Not so sure for sdl1, that one was more controversial and sdl2
regression fixes are still tickling in (although it seems we killed most
of them meanwhile).  Also due to sdl1 being a separate source file
anyway the maintanance costs are not that high.

Comments?

When actually removing sdl1 the -no-frame cmd line switch can go too as
sdl1 is the only user.

cheers,
  Gerd


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]